<div dir="ltr"><br><div class="gmail_extra"><br><div class="gmail_quote">On 27 November 2014 at 18:19, Alexander Köplinger <span dir="ltr"><<a href="mailto:alex.koeplinger@outlook.com" target="_blank">alex.koeplinger@outlook.com</a>></span> wrote:<blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left-width:1px;border-left-color:rgb(204,204,204);border-left-style:solid;padding-left:1ex"><div><div dir="ltr"><span class=""><div dir="ltr"> </div><blockquote style="margin-right:0px" dir="ltr"><blockquote style="padding-left:1ex;border-left-color:rgb(204,204,204);border-left-width:1px;border-left-style:solid"><div dir="ltr">* aspnetwebstack (i.e. MVC+WebApi) -> same reasons as for EF, open-source and on NuGet, should be used from there<br></div></blockquote><div><br></div><div>I am actually not sure about this one, is that really the case?</div></blockquote><div dir="ltr"> </div></span><div dir="ltr">The latest XamarinStudio/MonoDevelop MVC template installs it from NuGet, so I think it should be fine to remove. It might not work perfectly until the System.Web from referencesource is integrated, but the same applies to the existing (outdated) copy we ship currently.</div><span class=""><div dir="ltr"> </div></span></div></div></blockquote><div><br></div><div>This is something I've been working on.  MVC 5.2.2 (the one available on NuGet) just doesn't work at the moment due to this pull <a href="https://github.com/mono/mono/pull/1349">https://github.com/mono/mono/pull/1349</a> being required (and I haven't had chance to fix the things that Miguel wanted).</div><div><br></div><div>In addition, the old notes on getting MVC 3 working on mono, said to remove the MS supplied versions of the dlls IIRC, so these would stop working on upgrade (and replacing with the nuget ones for MVC3 probably won't work).</div></div></div></div>